/*
** CONF.C
**
** Configuracion.
**
**
** (c) 1.997-2.000 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 14/Dic/98 Version 1.0
**           Este fichero permite tener en un unico
**           lugar, pero fuera de la libreria, la
**           la configuracion necesaria para todos
**           los programas que usan la libreria en si.
**
** 17/Dic/98 Soporte para modulo de salida generico.
**
** 30/Dic/98 Se continua la migracion al modulo
**           generico de salida.
**
** 04/Dic/98 Se cambian de sitio las rutinas "str2tiempo"
**           y "tiempo2str".
**
** 08/Sep/99 Se mueven funciones a tiempo.c,lee_radius_infovia_plus.c
*/

#include "lee_log.h"
#include "lee_radius.h"
#include "lee_radius_infovia_plus.h"
#include "lee_radius_iplus_cache.h"
#include "lee_mrtg.h"
#include "conf.h"
#include "config.h"             /* Clave de acceso */
#include "salida.h"
#include "salida_html.h"
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

/*
    $Id: conf.c,v 1.13 2000/02/28 15:48:39 jcea Exp $
*/

char *RED[] = {
  REDES,
  NULL
};

/* Tabla para asignar usuarios fijos a determinadas IPs fijas */

t_ip_usuario IP_USUARIO[] = {
  {"pon la IP que sea","aqui viene un usuario asociado, sin arroba ni nada"},
  {NULL, NULL}
};

/*
** Tabla para asignar equivalencias a los
** usuarios RADIUS y MOTD
*/

t_usuario_motd USUARIO_MOTD[] = {
  {"usuario radius", "usuario motd"},
  {NULL, NULL}
};

/* Clave de acceso a traves del CGI */

char *CLAVE = CLAVE_CGI;

/* Directorio donde estan los archivos historicos */

char *D_HISTORICO = PATH_HISTORICO "/";

/*
** Ficheros de detalle del RADIUS.
** El final se marca con NULL.
*/

char *ISP[]={
  "@PON_TU_CPI_UNO_SI_TIENE_ALIAS",
  "@PON_TU_CPI_DOS_SI_TIENE_ALIAS",
  "@PON_TU_CPI_TRES_SI_TIENE_ALIAS",
  "@PON_TU_CPI_CUATRO_SI_TIENE_ALIAS",
  NULL};


/* *INDENT-OFF* */

t_accounting accounting[] = {
  {"TU_SERVIDOR_DE_TUNELES", ISP, &RADIUS_IPLUS /* Tuneles */ },
  {"/export/home/snmp/", NULL, &MRTG /* Estadisticas MRTG */ },
  {NULL, NULL, NULL}
};                              /* Marcador final */

/* *INDENT-ON* */
