/*
** LEE_CACHE.H
**
** Lee registros preprocesados.
**
**
** (c) 1.997-2.000 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 08/Sep/99 Primera version de este modulo.
*/

#ifndef LEE_CACHE_H
#define LEE_CACHE_H

#include "lee_log.h"

/*
    $Id: lee_cache.h,v 1.5 2000/01/04 13:06:47 jcea Exp $
*/

void abre_log_detalle_cache(char *f_detalle, char *usuario, t_log original);
void cierra_log_detalle_cache(void);
log_estado lee_registro_detalle_cache(registro_log * registro);
time_t timestamp_cache(void);

#endif
