/*
** TIEMPO.H
**
** Rutinas de tratamiento de tiempo.
**
**
** (c) 1.997-2.000 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 08/Sep/99 Primera version de este modulo,
**           transferido desde config.h.
*/

#ifndef TIEMPO_H
#define TIEMPO_H

#include <time.h>

/*
    $Id: tiempo.h,v 1.7 2000/01/04 13:06:49 jcea Exp $
*/

extern time_t tiempo_inicial;
extern time_t tiempo_final;

time_t str2tiempo(char *tiempo);
void tiempo2str(char *buf, time_t tiempo);
unsigned int dia_de_la_semana(time_t tiempo);
unsigned int num_dias_este_mes(time_t tiempo);
time_t dia1_este_mes(time_t tiempo);
time_t dia1_siguiente_mes(time_t tiempo);
time_t clipping_mensual(void);
void activa_clipping_mensual(int argc, char *argv[]);

#endif
