/*
** TIMELOCAL.C
**
** Se le pasa una cadena en formato "date",
** y devuelve el numero de segundos desde EPOCH.
**
** Thu Jul  9 18:00:00 1998 -> 900000000
**
**
** (c) 1.997-2.000 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 05/Nov/99 Version 1.0
**           Primera version de este modulo.
*/

#include <stdio.h>
#include <stdlib.h>
#include "conf.h"
#include "tiempo.h"
#include "version.h"

/*
    $Id: timelocal.c,v 1.5 2000/01/04 13:06:49 jcea Exp $
*/

int main(int argc, char *argv[], char *env[])
{
  char buf[50];
  char *mes[] =
    { "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct",
    "Nov", "Dec", NULL
  };
  int c;

  if (argc < 5)
    return -1;
  for (c = 0; mes[c] != NULL; c++)
    if (!strcmp(argv[2], mes[c]))
      break;
  if (mes[c] == NULL)
    return -1;

  strcpy(buf, argv[5]);
  sprintf(buf + 4, "%2d%2d%2d%2d", c + 1, atoi(argv[3]), atoi(argv[4]),
          atoi(argv[4] + 3));
  printf("%lu\n", atoi(argv[4] + 6) + str2tiempo(buf));
  return 0;
}
