/*
** CALLED_ID.C
**
** Este programa lista los numeros de telefono
** a los que se conecta cada usuario, sin
** eliminar duplicados, etc. Eso se hace con
** un script externo.
**
**
** (c) 1.997-2.000 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 27/Jul/99 Version 1.0
**           Primera version.
*/

#include <stdio.h>
#include <stdlib.h>
#include "conf.h"
#include "version.h"
#include "tiempo.h"
#include "called_id.h"

/*
    $Id: called_id.c,v 1.5 2000/01/04 13:06:45 jcea Exp $
*/

int main(int argc, char *argv[], char *env[])
{
  log_estado estado;
  registro_log reg;
  int cont;
  char *p;

  printf("%s", version_txt());

  activa_clipping_mensual(argc - 1, argv + 1);
  for (cont = 0; accounting[cont].path != NULL; cont++) {
    accounting[cont].log->abre_log(accounting[cont].path, "");
    while (!0) {
      estado = accounting[cont].log->lee_registro(&reg);
      if (estado != LOG_OK)
        break;
      if ((tiempo_inicial <= reg.tiempo) &&
          (tiempo_final >= reg.tiempo - reg.duracion)) {
        printf("%s %s", reg.nombre, reg.called_id);
        p = telefono2nombre(reg.called_id);
        if (p != NULL)
          printf(" (%s)", p);
        printf("\n");
      }
    }
    accounting[cont].log->cierra_log();
  }
  return 0;
}
