/*
** LEE_RADIUS_INFOVIA_PLUS.C
**
** Rutinas de acceso a los LOGs de Infova
**
**
** (c) 1.997-2.000 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 08/Sep/99 Primera version de este modulo.
*/

#include "lee_radius_infovia_plus.h"

#include "util.h"

/*
    $Id: lee_radius_infovia_plus.c,v 1.5 2000/01/04 13:06:47 jcea Exp $
*/

/* STUBS para rutinas de lectura de registros */

t_log RADIUS_IPLUS = {
  abre_log_detalle_radius,
  cierra_log_detalle_radius,
  lee_registro_detalle_radius_infovia_plus,
  timestamp_radius
};


/*
** Como el servidor de tuneles de Infovia Plus
** no indica el Caller ID, pues lo indicamos
*/
log_estado lee_registro_detalle_radius_infovia_plus(registro_log * registro)
{
  log_estado estado;

  estado = RADIUS.lee_registro(registro);
  if (registro->caller_id[0] == '\0')
    strcpy(registro->caller_id, "Infov&iacute;a Plus");
  if (registro->called_id[0] == '\0')
    strcpy(registro->called_id, "Infov&iacute;a Plus");
  return estado;
}
