/*
** UTIL.H
**
** Rutinas existentes en las librerias
** estandar, pero que se incluyen aqui
** por ser mas eficientes, entre otras
** cosas por el inlining.
**
**
** (c) 1.997-2.000 Jesus Cea Avion
** jcea@argo.es
** http://www.argo.es/~jcea/
** http://www.argo.es/~jcea/artic/radius02.htm
**
** Lea las condiciones de uso y distribucion
** en el fichero "COPYING".
**
**
** 30/Jun/99 Primera version de este fichero
*/

#ifndef UTIL_H
#define UTIL_H

/*
    $Id: util.h,v 1.6 2000/02/28 15:42:45 jcea Exp $
*/

#ifndef _WIN32

#undef strchr(a,b)
#undef strcmp(a,b)

#else

#undef strchr
#undef strcmp

#endif

#define strchr(a,b) strchr_jcea(a,b)
#define strcmp(a,b) strcmp_jcea(a,b)

unsigned char *strchr_jcea(unsigned char *s, int c);
int strcmp_jcea(unsigned char *s1, unsigned char *s2);

#endif
